aboutsummaryrefslogtreecommitdiff
path: root/rel
diff options
context:
space:
mode:
authorMaksim Pechnikov <parallel588@gmail.com>2019-10-21 11:32:28 +0300
committerMaksim Pechnikov <parallel588@gmail.com>2019-10-21 11:32:28 +0300
commit243719a96584901c560d75333c79b056c5a5c395 (patch)
treefd5390210264a0b21b255a1d73d61dc2ce2304cd /rel
parent66b5d0ff558bffeddf6475af72b73bf2870512f6 (diff)
parent2ebe8c416a72b512feaba87040982da5bcf865cf (diff)
downloadpleroma-243719a96584901c560d75333c79b056c5a5c395.tar.gz
Merge branch 'develop' into feature/masto_api_markers
Diffstat (limited to 'rel')
-rwxr-xr-xrel/files/bin/pleroma_ctl8
1 files changed, 4 insertions, 4 deletions
diff --git a/rel/files/bin/pleroma_ctl b/rel/files/bin/pleroma_ctl
index f767fe134..9fc5b0bad 100755
--- a/rel/files/bin/pleroma_ctl
+++ b/rel/files/bin/pleroma_ctl
@@ -35,11 +35,11 @@ detect_branch() {
if [ "$branch" = "develop" ]; then
echo "develop"
elif [ "$branch" = "" ]; then
- echo "master"
+ echo "stable"
else
# Note: branch name in version is of SemVer format and may only contain [0-9a-zA-Z-] symbols —
# if supporting releases for more branches, need to ensure they contain only these symbols.
- echo "Releases are built only for master and develop branches" >&2
+ echo "Can't detect the branch automatically, please specify it by using the --branch option." >&2
exit 1
fi
}
@@ -141,8 +141,8 @@ else
ACTION="$1"
shift
-
- if [ "$(echo \"$1\" | grep \"^-\" >/dev/null)" = false ]; then
+ echo "$1" | grep "^-" >/dev/null
+ if [ $? -eq 1 ]; then
SUBACTION="$1"
shift
fi